package com.cooleshow.student.push;

import com.huawei.hms.push.HmsMessageService;
import com.huawei.hms.push.RemoteMessage;

import cn.jpush.android.service.PluginHuaweiPlatformsService;
import io.rong.push.platform.hms.HMSPushService;

public class MyHWPushService extends HMSPushService {

      final PluginHuaweiPlatformsService jpushService = new PluginHuaweiPlatformsService();

      @Override
      public void onNewToken(String s) {
          jpushService.onNewToken(s);
      }

      @Override
      public void onMessageReceived(RemoteMessage remoteMessage) {
          jpushService.onMessageReceived(remoteMessage);
      }

      @Override
      public void onMessageSent(String s) {
          jpushService.onMessageSent(s);
      }

      @Override
      public void onSendError(String s, Exception e) {
          jpushService.onSendError(s,e);
      }

      @Override
      public void onDeletedMessages() {
          jpushService.onDeletedMessages();
      }
  }